Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface OffsetCurve

All Superinterfaces:
  CurveSegment, GenericCurve

    @UML(identifier="GM_OffsetCurve",
         specification=ISO_19107)
    public interface OffsetCurve

extends CurveSegment

A curve at a constant distance from the basis curve. They can be useful as a cheap and simple alternative to constructing curves that are offsets by definition.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`List<CurveSegment>` | `getBaseCurves()` Returns the base curves.
`double` | `getDistance()` Returns the distance at which the offset curve is generated from the basis curve.
`double[]` | `getReferenceDirection()` Defines the vector direction of the offset curve from the basis curve.

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getInterpolation, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Method Detail

### getBaseCurves

    @UML(identifier="baseCurve",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<CurveSegment> getBaseCurves()

  Returns the base curves.

### getDistance

    @UML(identifier="distance",
         obligation=MANDATORY,
         specification=ISO_19107)
    double getDistance()

  Returns the distance at which the offset curve is generated from the basis curve. In a 2D system, positive distances are to be left of the basis curve, and negative distances are right of the basis curve.

  Unit:
    Length

### getReferenceDirection

    @UML(identifier="refDirection",
         obligation=OPTIONAL,
         specification=ISO_19107)
    double[] getReferenceDirection()

  Defines the vector direction of the offset curve from the basis curve. It can be omitted in the 2D case, where the distance can be positive or negative. In that case, distance defines left side (positive distance) or right side (negative distance) with respect to the tangent to the basis curve. In 3D the basis curve shall have a well-defined tangent direction for every point. The offset curve at any point (parameter) on the basis curve c is in the direction

  (TODO: paste the formulae here)

  For the offset direction to be well-defined, v shall not on any point of the curve be in the same, or opposite, direction as t. The default value of the reference direction shall be the local coordinate axis vector for elevation, which indicates up for the curve in a geographic sense. If the reference direction is the positive tangent to the local elevation axis ("points upward"), then the offset vector points to the left of the curve when viewed from above.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.